<template>
    <div class="form-group">
        <label class="flex">
            <slot name="label"/>
        </label>
        <input :value="brick"
               type="number"
               min="0"
               max="40"
               class="form-control"
               :readonly="readonly"
               placeholder="Height cell"
               aria-label="Height cell"
               @input="updateValue($event.target.value)">
        <small class="form-text text-muted text-left">
            <slot name="helper"/>
        </small>
    </div>
</template>

<script>
export default {
    name: 'Brick',
    props: {
        brick: {
            type: Number,
            default: 5
        },
        readonly: {
            type: Boolean,
            default: false
        }
    },
    methods: {
        updateValue: function (value) {
            this.$emit('input', value);
        }
    }
}
</script>

<style scoped>

</style>
